Bug 2042522 (CVE-2022-22816) - CVE-2022-22816 python-pillow: buffer over-read during initialization of ImagePath.Path in path_getbbox() in path.c
Summary: CVE-2022-22816 python-pillow: buffer over-read during initialization of Image...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-22816
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2042525 2042523 2042524 2048371 2048372 2048373 2048374 2048375 2048376
Blocks: 2042533
TreeView+ depends on / blocked
 
Reported: 2022-01-19 16:26 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-03-03 00:20 UTC (History)
10 users (show)

Fixed In Version: Pillow 9.0.0
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in python-pillow. The vulnerability occurs due to improper initialization of image paths, leading to a buffer over-read and improper initialization. This flaw allows an attacker to unauthorized memory access that causes memory access errors, incorrect results, or crashes.
Clone Of:
Environment:
Last Closed: 2022-03-03 00:20:48 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:0609 0 None None None 2022-02-22 15:46:56 UTC
Red Hat Product Errata RHSA-2022:0643 0 None None None 2022-02-22 17:43:07 UTC
Red Hat Product Errata RHSA-2022:0665 0 None None None 2022-02-24 09:51:05 UTC
Red Hat Product Errata RHSA-2022:0667 0 None None None 2022-02-24 09:51:59 UTC
Red Hat Product Errata RHSA-2022:0669 0 None None None 2022-02-24 09:35:39 UTC

Description Guilherme de Almeida Suckevicz 2022-01-19 16:26:24 UTC
path_getbbox in path.c in Pillow before 9.0.0 has a buffer over-read during initialization of ImagePath.Path.

References:
https://github.com/python-pillow/Pillow/blob/c5d9223a8b5e9295d15b5a9b1ef1dae44c8499f3/src/path.c#L331
https://pillow.readthedocs.io/en/stable/releasenotes/9.0.0.html#fixed-imagepath-path-array-handling

Comment 1 Guilherme de Almeida Suckevicz 2022-01-19 16:26:49 UTC
Created mingw-python-pillow tracking bugs for this issue:

Affects: fedora-all [bug 2042524]


Created python-pillow tracking bugs for this issue:

Affects: fedora-all [bug 2042523]


Created python3-pillow tracking bugs for this issue:

Affects: epel-7 [bug 2042525]

Comment 7 errata-xmlrpc 2022-02-22 15:46:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:0609 https://access.redhat.com/errata/RHSA-2022:0609

Comment 8 errata-xmlrpc 2022-02-22 17:43:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0643 https://access.redhat.com/errata/RHSA-2022:0643

Comment 9 errata-xmlrpc 2022-02-24 09:35:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2022:0669 https://access.redhat.com/errata/RHSA-2022:0669

Comment 10 errata-xmlrpc 2022-02-24 09:51:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:0665 https://access.redhat.com/errata/RHSA-2022:0665

Comment 11 errata-xmlrpc 2022-02-24 09:51:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2022:0667 https://access.redhat.com/errata/RHSA-2022:0667

Comment 12 Product Security DevOps Team 2022-03-03 00:20:46 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-22816


Note You need to log in before you can comment on or make changes to this bug.